class RRTProcedureList {
  List<VidaProcedureList> vidaProcedureList;

  RRTProcedureList({this.vidaProcedureList});

  RRTProcedureList.fromJson(Map<String, dynamic> json) {
    if (json['Vida_ProcedureList'] != null) {
      vidaProcedureList = <VidaProcedureList>[];
      json['Vida_ProcedureList'].forEach((v) {
        vidaProcedureList.add(new VidaProcedureList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.vidaProcedureList != null) {
      data['Vida_ProcedureList'] =
          this.vidaProcedureList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class VidaProcedureList {
  num patientShare;
  num patientShareWithTax;
  num patientTaxAmount;
  String procedureID;
  String procedureName;

  VidaProcedureList(
      {this.patientShare,
        this.patientShareWithTax,
        this.patientTaxAmount,
        this.procedureID,
        this.procedureName});

  VidaProcedureList.fromJson(Map<String, dynamic> json) {
    patientShare = json['PatientShare'];
    patientShareWithTax = json['PatientShareWithTax'];
    patientTaxAmount = json['PatientTaxAmount'];
    procedureID = json['ProcedureID'];
    procedureName = json['ProcedureName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['PatientShare'] = this.patientShare;
    data['PatientShareWithTax'] = this.patientShareWithTax;
    data['PatientTaxAmount'] = this.patientTaxAmount;
    data['ProcedureID'] = this.procedureID;
    data['ProcedureName'] = this.procedureName;
    return data;
  }
}
